Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery
Class Query

    java.lang.Object
      |
      +--net.xfra.qizxopen.xquery.impl.Module
            |
            +--net.xfra.qizxopen.xquery.Query

All Implemented Interfaces:
  StaticContext

public class Query
extends net.xfra.qizxopen.xquery.impl.Module

A compiled Query. This is essentially an opaque object. Initialization methods are defined in superclass Module.

Field Summary
`net.xfra.qizxopen.xquery.op.Expression` | `body`

Fields inherited from class net.xfra.qizxopen.xquery.impl.Module
`LOCAL_NS`

Constructor Summary
`Query()`

Method Summary
`void` | `dump(ExprDump d)`
`Value` | `eval(Focus focus, EvalContext context)`
`void` | `evalAsEvents(XMLEventReceiver output, Focus focus, EvalContext context)`
`Type` | `getType()`
`void` | `staticCheck(ModuleManager mman, Log log)`

Methods inherited from class net.xfra.qizxopen.xquery.impl.Module
`addDeclaration, addDefaultNamespace, addNamespaceDecl, check, checkType, declareFunction, defineGlobal, defineLocalVariable, error, functionLookup, getBaseURI, getCollator, getDeclaredURI, getDefaultCollation, getDefaultElementNS, getDefaultFunctionNS, getDotType, getEnclosing, getInScopeNS, getLocalSize, getLog, getNamespace, getPhysicalURI, getPragmas, getSource, initGlobals, localFunctionLookup, lookforGlobalVariable, lookforLocalVariable, markLocalVariables, popDotType, popLocalVariables, prefixedName, printLocation, pushDotType, resetLocals, resolve, setBaseURI, setCollations, setDeclaredURI, setDefaultCollation, setPredefinedModule, staticCheck, storePragmas`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### body

    public net.xfra.qizxopen.xquery.op.Expression body

Constructor Detail

### Query

    public Query()

Method Detail

### getType

    public Type getType()

### dump

    public void dump(ExprDump d)

  Overrides:
    `dump` in class `net.xfra.qizxopen.xquery.impl.Module`

### staticCheck

    public void staticCheck(ModuleManager mman,
                            Log log)

  Overrides:
    `staticCheck` in class `net.xfra.qizxopen.xquery.impl.Module`

### eval

    public Value eval(Focus focus,
                      EvalContext context)
               throws XQueryException

    `XQueryException`

### evalAsEvents

    public void evalAsEvents(XMLEventReceiver output,
                             Focus focus,
                             EvalContext context)
                      throws XQueryException,
                             DataModelException

    `XQueryException`
    `DataModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD